<?lsp

local js=[[
      $("#conf div").html('<p>Your FuguHub server does not appear to be accessible from the Internet!</p><p><a rel="nofollow" href="Config-Wizard/?internet=">Fix this problem</a></p>(Fix the problem or edit the page to remove this message)');$("#conf").show();
]]

local function notABot()
   local ua=request:header"User-Agent"
   local bots={'bot', 'Yahoo', 'Slurp', 'ia_archiver', 'Lycos', 'Scooter', 'AltaVista', 'Teoma'}
   local sfind=string.find
   for _,bot in ipairs(bots) do
      if sfind(ua,bot,1,true) then return false end
   end
   return true
end

local function checkWAN()
   if page.wan ~= nil then return page.wan end
   if not page.http then
      page.http=require"http".create{persistent=false}
      page.http:timeout(3000)
   end
   local http=page.http
   http:request{
      url="http://FuguHub.com/bd/testserver.lsp",
      method="GET",
   }
   if http:status() == 200 then
      local h=http:header()
      if h.http ~= "OK" and h.https ~= "OK" then
         page.wan=true
         return true
      end
   end
   page.wan=false
end
local data=request:data()
if data.json == "isconf" then
   local isconf = not app.userDbEmpty() and not bd.baseio:stat"wiz.tmp" and true or false
   print(json.encode({isconf=isconf,js = isconf and app.addInternetLink() and checkWAN() and js}))
   return
end
 
if app.userDbEmpty() then -- from .preload
   response:sendredirect"wizard/SetAdmin.lsp"
elseif data.internet then
   if notABot() then page.wan=nil end
   response:sendredirect"wizard/"
else
   local f = bd.baseio:open("wiz.tmp","rb")
   if f then
      wizuri=f:read"*a"
      f:close();
      response:sendredirect(wizuri)
   else
      response:sendredirect"intro/"
   end
end
?>
