<?lsp
title="Configuration Wizard Main Page"
-- Make ".header" load our Wikipedia help engine
headerdata=[[<script src="../help.js"></script>
<script type="text/javascript">
if(top.location!=self.location) top.location=self.location.href;
</script>
<style>

.bluebox {background: #2F94FA;}
.bluebox p {margin-left:10px}
.bluebox p,.bluebox h2,.bluebox li,.bluebox a,.bluebox a:hover{color:white;}
.bluebox p {
font-size:140%;
}

</style>
]]
response:include"/rtl/.header.lsp"

local io = bd.baseio
if request:data("cancelwiz") then
   io:remove"wiz.tmp"
   response:sendredirect""
   return
end
local wizuri
local f = io:open("wiz.tmp","rb")
if f then
   wizuri=f:read"*a"
   f:close();
end
if wizuri then
?>
<div class="roundedbox bluebox">
<p>You have not completed the FuguHub configuration wizard. Would you like to continue with the wizard?</p>
<table><tr>
<td>
<form action="<?lsp=wizuri?>" method="get">
<input type="submit" value="Resume"/>
</form>
</td>
<td>
<form method="post"><input type="hidden" name="cancelwiz" value=""/>
<input type="submit" value="Cancel"/>
</form>
</td>
</tr>
</table>
</div>
<?lsp end ?>

<h1><br/>Quick Start to Using FuguHub:</h1>

<ol style="font-size:120%">
<li><p>View our online <a target="_blank" href="http://FuguHub.com/videos.lsp">FuguHub training videos</a>.</p></li>
<li><p>Familiarize yourself with the <a target="_blank" href="/private/manage/">Content Management System</a> (CMS) and the <a target="_blank" href="/forum/">bulletin board (forum)</a>. You can <a target="_blank" href="/rtl/protected/admin/appmgr/">remove</a> these two add-ons if you do not need them.</p></li>

<li><p>Find out how to use the Web-File-Manager and WebDAV server by clicking the "Web-File-Server" link at the top menu.</p></li>
<li><p>Read the tutorial for how to <a target="_blank" href="http://FuguHub.com/blog/2007/12/Edit-Remote-Documents-Using-Microsoft-Word">edit remote Microsoft Word documents</a> using the WebDAV server.</p></li>
<li><p>Download and install the <a target="_blank" href="http://FuguHub.com/MxTunnel.lsp">MxTunnel</a> (HTTPS Tunnel/SSL VPN) on a client computer if you need a VPN solution. The MxTunnel encrypts and privatizes your Internet communication and protects you when accessing resources from unsafe locations such as from Wi-Fi hotspots  and Internet cafes.</p></li>
<li><p>Familiarize yourself with the <a target="_blank" href="/rtl/protected/admin/">administrator panel</a> and read the <a target="_blank" href="/rtl/protected/admin/help/">administrator panel documentation</a>.</p></li>
<li><p>Setup <a target="_blank" href="http://www.uptimerobot.com/">free web site monitoring</a> for your FuguHub server.</p></li>
<li><p><a target="_blank" href="/rtl/protected/admin/appmgr/app.lsp?n=Config-Wizard">Stop</a> this configuration wizard by using the administrator panel. You will no longer be able to navigate to this application after you stop it.</p></li>
</ol>

<h1><br/>Navigating the Configuration Wizard</h1>

<h3>The menu</h3>

<p>The menu above is from the integrated FuguHub user interface. All pages in the integrated user interface begin with <b>/rtl/</b>. If you look above in the browser's address bar, you will see <b>/Config-Wizard/</b> indicating that this Configuration Wizard is not part of the integrated FuguHub user interface. This wizard is an auxiliary application which can be removed.</p>

<p>The menu to the left is for this configuration wizard. To navigate out of this wizard, press any of the menu buttons above, and the menu on the left side will change. You will find links to some of the integrated FuguHub applications including the link to this Configuration Wizard.</p>

<h3>Support</h3>
<p>Join our <a target="_blank" href="http://FuguHub.com/forum/">FuguHub forum</a> if you need help or would like to read the forum for tips.</p>

<h3>Extending FuguHub</h3>
<p>FuguHub's functionality can be extended by downloading and installing any of the <a target="_blank" href="http://FuguHub.com/add-ons.lsp">online FuguHub applications</a>.</p>

<?lsp response:include"../.footer.lsp" ?>
