<?lsp
-- The extra header we need ".header" to add.
headerdata=[[
<link href="style.css" rel="stylesheet" type="text/css" />
<link href="../style.css" rel="stylesheet" type="text/css" />
<style type="text/css" media="screen">
#app{border:1px solid gray;padding: 0;width: 80%;float: left}
input[type="submit"]{font-size: 18px;font-family:Arial, Sans-Serif;font-weight: bold;color: black;width: 15em}
</style>
]]

title="Menu: Administrator Panel: Load Application"
response:include"../.header.lsp"
emitHelpBut("appmgr",true,"Load")
?>
<h1>Load New Applications</h1>
<?lsp
if request:method() == "POST" then
   local apps = bd.appmgr.loadnew();
   if #apps == 0 then
?>
<h3 style='color:red;text-align:center;'><img src='/rtl/protected/admin/img/cancel.png' />&nbsp;&nbsp;We could not find any new applications in the "applications" folder.</h3>
<p style='text-align:center;'>You can download additional applications from our <a target="_blank" href="https://FuguHub.com/add-ons/">online store</a>.</p>
<?lsp
   else
      print("<center><table><tr><th>Name</th><th>Status</th><th>Running</th></tr>")
      for k,v in pairs(apps) do
         response:write("<tr><td><a href='../../../../",v.name,
                        "/' target='_new'>",v.name,
                        "</a></td><td>",v.status,
                        "</td><td>",v.running and "YES" or "NO",
                        "</td></tr>")
      end
      print("</table></center>");
   end
end
?>
<img style="float:left" src="../../../images/rocket.png"/>
<div style="text-align: left;margin-bottom: 2em">
<p><br/><br/>Scan the FuguHub "applications" folder, automatically load, and launch new FuguHub applications.</p>
<form method="post" style="margin-top:5em">
<input type="submit" value="Load"/>
</form>
</div>
<?lsp response:include"../.footer.lsp" ?>
