<li>
<span>
Your Internet Service Provider (ISP) blocks the web server port 80
</span>
<div>

<p>Some ISP's block port 80. Call your ISP and request that they unblock port 80. If your ISP is unwilling or will charge an additional fee to unblock the port, maybe it is time to consider switching service providers.</p>
<p><b>You can still access the server if port 80 is blocked:</b></p>
<ul>
<li><b>Solution 1:</b> The server can be accessed using port 443. The only problem with this is that everyone accessing your server must explicitly enter https://yourdomainname into the browser -- in other words, the connection will fail if the url does not start with https://</li>
<li><b>Solution 2:</b> Configure port mapping on a non standard port such as port 8080. You have two options when using a non standard port:
<ul>
<li>Explicitly enter http://yourdomainname:8080 into the browser, where 8080 is the alternative port number you are using.</li>
<li>Use the <a target="blank" href="http://www.no-ip.com/support/guides/web_servers/isp_block_port_80.html">No-ip.com redirect service</a>.</li>
</ul>
</li> 
</ul>
</div>
