<?lsp
local ddns = bd.ddns()
local cfg = ddns.setConfAttr() -- Load 
if not cfg.ddns or not cfg.ddns.enable then
   response:sendredirect"WizEnd.lsp"
   return
end

local dname=cfg.ddns.host
local ipAddr=cfg.ip

title = "Network Configuration Completed"
-- Make ".header" load our Wikipedia help engine
headerdata=[[<script src="../help.js"></script>]]
response:include"../wizard/.header.lsp"

local function getServerName()
   local gateways,ipAddresses = app.getPrivGw()
   if #ipAddresses > 0 then
      return ipAddresses[1]
   end
   local h=request:header"host"
   return h and h or request:sockname()
end

?>

<h1><?lsp=title?></h1>

<p>You have completed the network configuration and your FuguHub server should now be accessible from the Internet using your domain name <?lsp=dname?>. The domain name <?lsp=dname?> is currently mapped to IP address <?lsp=ipAddr?>, but may change if you have a varying IP address. The DDNS client will make sure your domain name is updated if/when the WAN IP address changes.</p>


   <p><b>Important note:<br/>http://<?lsp=dname?> will most likely not work from your own computer. Only external users can access your computer via your WAN IP address <?lsp=ipAddr?>. Use your local LAN IP address when accessing the server from your own LAN, for example you are now accessing http://<?lsp=getServerName()?></b></p>



<p style="float:right;margin-left:1em"><a href="WizEnd.lsp" title="Next"><img src="../images/next.png" border="0" /></a></p> 
<h1><br/></h1>
<?lsp
response:include"../wizard/.footer.lsp"
?> 
