<?lsp



local links={
   {"./","All Contacts","The master contact list shows the contacts from all lists."},
   {"lists.lsp","Lists","To modify a list, click the list name. You can segment contacts into an unlimited amount of lists."},
   {"list.lsp",addListTxt or "Add List",'Create a new contact list or modify an existing contact list. To modify a list, click the "Lists" link and then click the list name.'},
   {"jobq.lsp","Job Queue","Shows active and pending email jobs. Sending emails to many contacts may take time."},
   {"history.lsp","History","A list of completed email jobs."},
   {"settings.lsp","Settings","Configure the mail list manager."},
   {"send.lsp","Send Email","Send email to one or multiple lists."},
   {"remove.lsp","Remove Contacts","Remove multiple contacts from database."},
}
if bd.mailbatchauth:authorize(request,"GET","") then
   local roles=bd.list2tab(bd.db.roles.load().v)
   if roles.mailbatch then
      table.insert(links,{"batch.lsp","Batch Jobs","Create or edit external batch commands."})
   end
end
table.insert(links,{"help.lsp","Help"})


?>
<br />
      </div><!--content-->
  </div><!--container-->
  <div id="sidebar">
    <ul>
    <li><span>Mail List Manager</span></li>
<?lsp
local enable = not bd.cfg.load().v.disablemenuhelp and true or false
for _,v in ipairs(links) do
   response:write('<li><a href="',v[1],'"',
                  title:find(v[2],1,true) and ' class="cur"' or '','>',v[2])
   if enable and v[3] then
      response:write('<span>',v[3],'</span>')
   end
   response:write('</a></li>')
end
?>
    </ul>
  </div><!--sider-->
</div><!--wrapper-->
</body>
</html>
